Web API Reference | MapGuide Open Source

- Overview
- Modules
- Classes

# MgPropertyCollection Class Reference
[MgPropertyCollection]

MgPropertyCollection represents a collection of properties. All properties contained in an instance of a property collection are objects whose base class is MgProperty and whose derived class is one of the classes referenced in the topic Feature Properties . A call to a property object's GetPropertyType() method returns one of the integer constants defined in class MgPropertyType. This collection does not allow duplicate key names. More...

Inherits MgCollection.

List of all members.

## Public Member Functions
virtual void | Add (MgProperty *value)
| Adds the specified item to the end of the collection.
virtual void | Clear ()
| Removes all items from the collection.
virtual bool | Contains (CREFSTRING name)
| Returns true if the collection contains the specified item, false otherwise.
virtual bool | Contains (const MgProperty *value)
| Returns true if the collection contains the specified item, false otherwise.
virtual INT32 | GetCount () const
| Gets the number of items in the collection.
virtual MgProperty * | GetItem (CREFSTRING name)
| Gets the item in the collection with the specified name.
virtual MgProperty * | GetItem (INT32 index) const
| Gets the item in the collection at the specified index.
virtual INT32 | IndexOf (CREFSTRING name) const
| Returns the index of the specified item (by name) in the collection or -1 if the item does not exist.
virtual INT32 | IndexOf (const MgProperty *value) const
| Returns the index of the specified item in the collection or -1 if the item does not exist.
virtual void | Insert (INT32 index, MgProperty *value)
| Inserts the specified item at the specified index within the collection. Items following the insertion point are moved down to accommodate the new item.
| MgPropertyCollection ()
| Constructs a PropertyCollection. The collection is initially empty.
virtual bool | Remove (MgProperty *value)
| Removes the specified item from the collection.
virtual void | RemoveAt (INT32 index)
| Removes the specified item from the collection.
virtual void | SetItem (INT32 index, MgProperty *value)
| Sets the item in the collection at the specified index to the specified value.

## Detailed Description

MgPropertyCollection represents a collection of properties. All properties contained in an instance of a property collection are objects whose base class is MgProperty and whose derived class is one of the classes referenced in the topic Feature Properties . A call to a property object's GetPropertyType() method returns one of the integer constants defined in class MgPropertyType. This collection does not allow duplicate key names.

Note:
  Collections are not thread safe.

Comments or suggestions? Send us feedback.